Bug 164209 - Packages for clamd incomplete
Packages for clamd incomplete
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-07-25 18:45 EDT by Stefan Neufeind
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-11 07:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2005-07-25 18:45:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When trying to use clamd (the variant of clamav running with a server), imho the clamav-server-package is not "complete". I'm missing /etc/clamd.conf as well as an init.d-script for clamd. There are examples in the docs, however imho when you install the separately provided package clamav-server since you want to use clamd it might be a good idea to ship those files directly.

PS: Maybe this could be included in the next update for the current security-issue oon clamav?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install clamav-server
2.Look for init-script or conf-file

Additional info:
Comment 1 Stefan Neufeind 2005-08-11 05:55:22 EDT
I'd like to stress that this issue currently keeps a few people I know from
upgrading. The consequence is that those systems still stick to 0.85 - with all
the security-problem-implications. Another security-advisory has been released
which strongly suggests upgrading to 0.86.2 already ...
Comment 2 Enrico Scholz 2005-08-11 06:50:13 EDT
It is not possible to provide *one* clamd. It must be instantiated per usecase
(e.g. service for amavisd, mimedefang, squidclam, ...).

So it does not make sense to ship template files with clamav-server as they have
to be modified heavily by the user.

I do not see how this would stop users from upgrading; the clamav package
*never* contained such a requested initscript or configuration file. So, users
can update safely from 0.85.

For more details, please see the thread at


Comment 3 Stefan Neufeind 2005-08-11 07:28:23 EDT
Just to give prove for my point ... Here clamd.conf and an init-script is included!


Comment 4 Enrico Scholz 2005-08-11 07:48:14 EDT
This package seems to be unrelated because 'clamd' was never been shipped.

The .spec for 0.85.1 can be found at


and I do not see a '%package -n clamd' there. The server part is in the
'clamav-server' subpackage.
Comment 5 Stefan Neufeind 2005-08-11 10:13:38 EDT
Isn't clamav-server the daemon-server-part that was the clamd-package before?
Comment 6 Enrico Scholz 2005-08-11 10:33:57 EDT
The server part was always in the -server subpackage. A 'clamd' package never
existed. Earliest traces (0.71) of clamav inclusive 'clamav-server' can be found at


and the changelog indicates that the -server exists since 0.60-0.fdr.5.
Comment 7 Kenneth Porter 2005-11-09 02:53:24 EST
It would be nice to have a subpackage that illustrates a sample clamd
installation, similar to the caching-nameserver configuration package for BIND.
For instance, create all files necessary for the mimedefang service and make a
clamav-server-mimedefang subpackage.

Note You need to log in before you can comment on or make changes to this bug.